<?php
/* 快捷商城系统
 * 版本号：2.0
 * 官网：http://www.kjcms.cn
 * 2015-02-16
 */
class ctl_mall_order extends mod_mall_order {

	//默认浏览页
	function act_default() {
		//分页列表
		$this->arr_list = $this->get_pagelist();
		$this->arr_state = tab_mall_order::get_perms("state");
		return $this->get_view(); //显示页面
	}
	//彻底删除,返回josn数据
	function act_delete() {
		$arr_return = $this->on_delete();
		return fun_format::json($arr_return);
	}
	//确认定单,返回josn数据
	function act_award() {
		$arr_return = $this->on_award();
		return fun_format::json($arr_return);
	}
	//取消订单
	function act_cancel() {
		$arr_return = $this->on_cancel();
		return fun_format::json($arr_return);
	}
	//发货
	function act_send() {
		$arr_return = $this->on_send();
		return fun_format::json($arr_return);
	}
	//订单明细
	function act_detail() {
		//订单列表
		$id = (int)fun_get::get("id");
		$this->order = $this->get_detail($id);
		return $this->get_view(); //显示页面
	}
	//调价
	function act_editprice() {
		$arr_return = $this->on_editprice();
		return fun_format::json($arr_return);
	}
}